/* include/opal/buildopts.h.  Generated from buildopts.h.in by configure.  */
/*
 * buildopts.h
 *
 * Build options generated by the configure script.
 *
 * Portable Windows Library
 *
 * Copyright (c) 2003 Equivalence Pty. Ltd.
 *
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific language governing rights and limitations
 * under the License.
 *
 * The Original Code is Portable Windows Library.
 *
 * The Initial Developer of the Original Code is Equivalence Pty. Ltd.
 *
 * Contributor(s): ______________________________________.
 *
 * $Log: buildopts.h.in,v $
 * Revision 1.9.2.2  2006/01/31 11:17:50  csoutheren
 * Added detection of variants of Speex 1.1.11.1
 *
 * Revision 1.9.2.1  2006/01/31 08:10:37  csoutheren
 * Backported from CVS head
 *
 * Revision 1.11  2006/01/31 10:28:04  csoutheren
 * Added detection for variants to speex 1.11.11.1
 *
 * Revision 1.10  2006/01/30 23:23:24  csoutheren
 * Added define for SPEEX
 *
 * Revision 1.9  2006/01/01 19:19:33  dsandras
 * Added RFC2190 H.263 codec thanks to Salyens. Many thanks!
 *
 * Revision 1.8  2005/12/06 06:34:10  csoutheren
 * Added configure support for Sangoma and empty LID source and header files
 *
 * Revision 1.7  2005/07/30 07:39:26  csoutheren
 * Added support for compiling new IAX2 code
 *
 * Revision 1.6  2004/12/05 11:12:10  dsandras
 * Added support for OPAL_VERSION, similar to OPENH323_VERSION.
 *
 * Revision 1.5  2004/10/06 13:03:41  rjongbloed
 * Added "configure" support for known LIDs
 * Changed LID GetName() function to be normalised against the GetAllNames()
 *   return values and fixed the pre-factory registration system.
 * Added a GetDescription() function to do what the previous GetName() did.
 *
 * Revision 1.4  2004/10/03 15:16:49  rjongbloed
 * Added IxJ symbol to include LID
 *
 * Revision 1.3  2004/03/13 03:37:12  rjongbloed
 * Fixed windows support for SIP and H.323 subsystem disable.
 *
 * Revision 1.2  2004/03/11 06:54:27  csoutheren
 * Added ability to disable SIP or H.323 stacks
 *
 * Revision 1.1  2003/06/02 04:04:54  rjongbloed
 * Changed to use new autoconf system
 *
 */

#ifndef _OPAL_BUILDOPTS_H
#define _OPAL_BUILDOPTS_H


/////////////////////////////////////////////////
//
// OPAL Version 
//

#define OPAL_MAJOR 2
#define OPAL_MINOR 2
#define OPAL_BUILD 11
#define OPAL_VERSION "2.2.11"


/////////////////////////////////////////////////
//
// Protocol support
//

#define  OPAL_IAX2 1
#define	OPAL_SIP 1
#define	OPAL_H323 1

#if !defined(OPAL_H323) || !OPAL_H323
#define NO_H323
#define NO_H323_AUDIO
#endif

/////////////////////////////////////////////////
//
// VoiceAge G.729 Support
//

/* #undef VOICE_AGE_G729A  */

#if VOICE_AGE_G729A
#if defined(_MSC_VER)

#pragma include_alias("va_g729a.h", "@VOICE_AGE_DIR@/va_g729a.h")

#define VOICE_AGE_G729_LIBRARY "@VOICE_AGE_DIR@/va_g729a.lib"

#endif
#endif

/////////////////////////////////////////////////
//
// use system Speex

/* #undef	OPAL_SYSTEM_SPEEX */
/* #undef  OPAL_HAVE_SPEEX_SPEEX_H */
/* #undef  OPAL_SPEEX_FLOAT_NOISE */


/////////////////////////////////////////////////
//
// ffmpeg H.263 Support
//

/* #undef H323_AVCODEC */

#if H323_AVCODEC

#if defined(_MSC_VER)

#pragma include_alias(<avcodec.h>, <@H323_AVCODEC_DIR@/avcodec.h>)

#define H323_AVCODEC_DIR     "@H323_AVCODEC_DIR@/"

#ifdef _DEBUG
#define H323_AVCODEC_LIBDIR H323_AVCODEC_DIR "Debug"
#else
#define H323_AVCODEC_LIBDIR H323_AVCODEC_DIR "Release"
#endif

#define H323_AVCODEC_LIBRARY H323_AVCODEC_LIBDIR "/libavcodec.lib"

#endif
#endif


/////////////////////////////////////////////////
////
//// RFC 2190 compatible H.263
////

/* #undef RFC2190_AVCODEC */

#if RFC2190_AVCODEC
#if defined(_MSC_VER)
#pragma include_alias(<avcodec.h>, <@RFC2190_AVCODEC_DIR@/avcodec.h>)
#define RFC2190_AVCODEC_DIR     "@RFC2190_AVCODEC_DIR@/"
#ifdef _DEBUG
#define RFC2190_AVCODEC_LIBDIR RFC2190_AVCODEC_DIR "Debug"
#else
#define RFC2190_AVCODEC_LIBDIR RFC2190_AVCODEC_DIR "Release"
#endif
#define RFC2190_AVCODEC_LIBRARY RFC2190_AVCODEC_LIBDIR "/libavcodec.lib"
#endif
#endif


/////////////////////////////////////////////////
//
// VoiceTronic VPB Support
//

/* #undef HAS_VPB */

#if HAS_VPB
#if defined(_MSC_VER)

#pragma include_alias(<vpbapi.h>, <@VPB_DIR@/src/vpbapi.h>)

#define VPB_LIBRARY "@VPB_DIR@/win32/libvpb/Debug/libvpb.lib"

#endif
#endif

/////////////////////////////////////////////////
//
// Sangoma support
//
/* #undef HAS_SANGOMA */


/////////////////////////////////////////////////
// Various other Line Interface Devices

/* #undef	HAS_IXJ */
/* #undef  HAS_VBLASTER */


#endif // _OPAL_BUILDOPTS_H


// End Of File ///////////////////////////////////////////////////////////////
